--- src/vteseq.cc.orig	2017-09-12 16:11:05.000000000 -0700
+++ src/vteseq.cc	2017-09-12 16:23:57.000000000 -0700
@@ -26,6 +26,22 @@
 #include <sys/syslimits.h>
 #endif
 
+#ifdef __APPLE__
+
+/* As of Sierra, Mac OS X, macOS does not provide strchrnul()  */
+/* Find the first occurrence of C in S or the final NUL byte.  */
+
+static char *
+strchrnul (const char *s, int c_in)
+{
+  char c = c_in;
+  while (*s && (*s != c))
+    s++;
+
+  return (char *) s;
+}
+#endif
+
 #include <glib.h>
 
 #include <vte/vte.h>
